--- title: "Getting the Application Version" slug: "getting-the-application-version" updated: 2024-10-10T13:51:02Z published: 2024-10-10T13:51:02Z canonical: "docs.onespan.com/getting-the-application-version" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.onespan.com/llms.txt > Use this file to discover all available pages before exploring further. # Getting the Application Version [Java SDK](/v1/docs/getting-the-application-version#java-sdk) [.NET SDK](/v1/docs/getting-the-application-version#net-sdk) [REST API](/v1/docs/getting-the-application-version#rest-api) ## Java SDK To download the full code sample see our [Code Share](https://github.com/eSignLive/esl.sdk.java/blob/master/sdk/src/main/java/com/silanis/esl/sdk/examples/ApplicationVersionExample.java) site. You can retrieve the OneSpan Sign application version by using the SystemService: ```java String applicationVersion = eslClient.getSystemService().getApplicationVersion(); ``` ### Results Here is an example of what you can expect to see once you have run your code. ![](https://cdn.document360.io/038f59a7-abd0-4c14-9de7-3434d28b49fd/Images/Documentation/version.png?sv=2026-02-06&spr=https&st=2026-11-04T06%3A38%3A16Z&se=2026-11-04T07%3A38%3A16Z&sr=c&sp=r&sig=Ba%2Fgp3%2BsVVIDuVcBdNTwVJwRUmguSvp7CB%2Bboj3fxIc%3D) ## .NET SDK To download the full code sample see our [Code Share](https://github.com/eSignLive/esl.sdk.net/blob/master/sdk/SDK.Examples/src/ApplicationVersionExample.cs) site. You can retrieve the OneSpan Sign application version by using the SystemService: ```csharp string applicationVersion = eslClient.SystemService.GetApplicationVersion(); ``` ### Results Here is an example of what you can expect to see once you have run your code. ![](https://cdn.document360.io/038f59a7-abd0-4c14-9de7-3434d28b49fd/Images/Documentation/version.png?sv=2026-02-06&spr=https&st=2026-11-04T06%3A38%3A16Z&se=2026-11-04T07%3A38%3A16Z&sr=c&sp=r&sig=Ba%2Fgp3%2BsVVIDuVcBdNTwVJwRUmguSvp7CB%2Bboj3fxIc%3D) ## REST API To download the full code sample see our [Code Share](https://community.onespan.com/documentation/onespan-sign/codeshare/get-application-version-rest-api/) site. You can retrieve the OneSpan Sign application version by making the following request: #### HTTP Request ```http GET /api/sysinfo ``` #### HTTP Headers ```http Accept: application/json Content-Type: application/json Authorization: Basic api_key ``` #### Response Payload ```json {    "schema": "16.11.3",    "version": "16.11.4",    "timestamp": "2017-11-01 15:00+0000" } ```